Bug 107458 - (ACPI) Xircom RBEM-56G-100 on Tecra 8000 no go with acpi
(ACPI) Xircom RBEM-56G-100 on Tecra 8000 no go with acpi
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-18 12:20 EDT by Patrick
Modified: 2015-01-04 17:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 00:24:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of dmesg -s40000 on Toshiba Tecra 8000 with acpi=on (7.94 KB, text/plain)
2003-10-18 12:23 EDT, Patrick
no flags Details
Output of acpidmp on Toshiba Tecra 8000 with pci=noacpi (98.58 KB, text/plain)
2003-10-18 12:25 EDT, Patrick
no flags Details
Output of dmesg -s40000 on Toshiba Tecra 8000 with acpi=on (10.27 KB, text/plain)
2003-10-18 13:08 EDT, Patrick
no flags Details

  None (edit)
Description Patrick 2003-10-18 12:20:46 EDT
Description of problem:
Toshiba Tecra 8000 with a Xircom (now Intel) RBEM-56G pcmcia network/modem card
will hang at "Starting pcmcia services" when booted with acpi=on

Version-Release number of selected component (if applicable):

How reproducible:
Add acpi=on to grub command line, boot the laptop and wait till it gets to
"Starting pcmcia services". Always happens.

Steps to Reproduce:
1. turn on laptop
2. add acpi=on to grub command line
3. wait till laptop hangs after "Starting pcmcia"
    
Actual results:
Laptop hangs.

Expected results:
That it properly activates the pcmcia card and finishes the boot process.

Additional info:
The problem does *not* occur when I add pci=noacpi to the grub menu line. Then
the pcmcia services are started correctly and the Xircom card is recognized and
properly activated (I can ping another host, surf etc). The box has Fedora Core
Test3 with kernel 2.4.22-1.2097.nptl. Just ran up2date too to make sure.

Here are the final lines from the failing boot process:
Starting pcmcia:   PCI: Emabling device 00:0b.0 (0000 -> 0002)
PCI: No IRQ known for interrupt pin A on device 00.0b.0 - using IRQ 255
PCI: Enabling device 00:0b.1 (0000 -> 0002)
PCI: No IRQ known for interrupt pin B on device 00.0b.1 - using IRQ 255
Yenta IRQ list 8498, PCI irq0
Socket status: 30000020
<laptop hangs indefinitely>
                                                                           
/proc/interrupts:
[root@tecra root]# cat /proc/interrupts
           CPU0
  0:      28959          XT-PIC  timer
  1:          2          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:          1          XT-PIC  MS Sound System
  8:          1          XT-PIC  rtc
 11:        800          XT-PIC  usb-uhci, Toshiba America Info Systems ToPIC97,
Toshiba America Info Systems ToPIC97 (#2), eth0
 14:       3146          XT-PIC  ide0
 15:         22          XT-PIC  ide1
NMI:          0
ERR:          0

Output of dmidecode is:
[root@tecra root]# dmidecode
RSD PTR found at 0xF1130
checksum failed.
OEM TOSHIB
PNP BIOS present.
                                                                       
I'll attach the output of acpidmp and dmesg -s40000.
Comment 1 Patrick 2003-10-18 12:23:05 EDT
Created attachment 95283 [details]
Output of dmesg -s40000 on Toshiba Tecra 8000 with acpi=on
Comment 2 Patrick 2003-10-18 12:25:45 EDT
Created attachment 95284 [details]
Output of acpidmp on Toshiba Tecra 8000 with pci=noacpi
Comment 3 Patrick 2003-10-18 13:06:58 EDT
I changed the pcmcia bios setting from AutoDetect to Cardbus/16bit and now it
boots with acpi=on and networking works :) There are still a number of ACPI
errors in dmesg. I'll leave it to the gurus to decide if that needs fixing.
Output will be attached.
Comment 4 Patrick 2003-10-18 13:08:51 EDT
Created attachment 95285 [details]
Output of dmesg -s40000 on Toshiba Tecra 8000 with acpi=on
Comment 5 Len Brown 2004-03-11 14:04:20 EST
The remaining issues: 
 
ACPI-0109: *** Error: No object was returned from [\_SB_.LNKA._STA] (Node 
c118688c), AE_NOT_EXIST 
 
This is a BIOS bug -- the _STA method is required to return a value, and this 
implementation does not.  Currently there is no workaround for this error.  Please 
contact the vendor for an updated BIOS. 
 
thanks, 
-Len 
 
 
Comment 6 Len Brown 2004-05-29 00:59:42 EDT
Please test the workaround patch here: 
http://bugme.osdl.org/show_bug.cgi?id=1729 
Comment 7 Dave Jones 2004-12-08 00:24:17 EST
fc1 - eol

Note You need to log in before you can comment on or make changes to this bug.